[Nexus-5-L] No pictures shown when start phone tour of FTU

VERIFIED FIXED in 2.2 S7 (6mar)

Status

defect
VERIFIED FIXED
4 years ago
4 years ago

People

(Reporter: hcheng, Assigned: seinlin)

Tracking

unspecified
2.2 S7 (6mar)
x86_64
Linux

Firefox Tracking Flags

(blocking-b2g:2.2+, b2g-v2.2 verified, b2g-master verified)

Details

(Whiteboard: [systemsfe])

Attachments

(4 attachments)

* Description:
When I start phone tour of FTU, I cannot see any pictures but only words.

* STR:
1. reflash Nexus 5 or Settings>Developer>Launch First Time Use
2. keep pressing next and then press "Start tour" to start phone tour

* Expected results:
After step 2, it should show both words and pictures for guiding.

* Actual results:
No pictures...

* Env info:
Build ID               20150224162516
Gaia Revision          ca64f2fe145909f31af266b1730874051ba76c78
Gaia Date              2015-02-24 22:06:53
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/16804008c29f
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.0
Firmware(Incremental)  eng.cltbld.20150224.201149
Firmware Date          Tue Feb 24 20:12:04 EST 2015
Bootloader             HHZ12d
After I press "Start tour", below errors is prompted in logcat.

* logs:
E/FTU     ( 5958): Content JS ERROR: Failed to load tutorial media: /style/images/tutorial/VerticalScroll.mp4 
E/FTU     ( 5958):     at onMediaLoadOrError (app://ftu.gaiamobile.org/gaia_build_defer_index.js:508:23)
blocking-b2g: --- → 2.2?
Flags: needinfo?(sfoster)
Whiteboard: [systemsfe]
This issue only happens on Nexus 5.

Comment 3

4 years ago
This happens too with nexus-5 build (not based on lollypop) on 2.2 and 3.0 branch.
We've had similar reports in the past that point back to broken decoders (bug 1103926 and bug 1091500), is the device able to play video in the video app if you skip the FTE tour?
Flags: needinfo?(sfoster)

Comment 5

4 years ago
Sam Foster, you mean, can I play video after the first boot if I skip FTE tour?
(In reply to eyome from comment #5)
> Sam Foster, you mean, can I play video after the first boot if I skip FTE
> tour?

Yes, we need to confirm the device can play video at all, and these videos specifically. Could you try downloading  https://raw.githubusercontent.com/mozilla-b2g/gaia/master/apps/ftu/style/images/tutorial/VerticalScroll.mp4 onto your SD card and playing in the video app. 

If that all works we'll need to find out more about why that video failed to load. The logcat doesn't include the error details, but we could add some logging, or set a break point in the debugger for that.

Comment 7

4 years ago
Sam Foster, ok, I can play this video without problem with default video player.
(In reply to eyome from comment #7)
> Sam Foster, ok, I can play this video without problem with default video
> player.

Ok, thanks for checking that - it eliminates a number of possibilities. I've not seen any other reports like this from other devices, so this is likely to be particular to this build or this device. 

eyome, can you also check the video files are there and aren't getting corrupted in the build process. You should be able to extract them from the build or from the device (something like adb pull /system/b2g/webapps/ftu.gaiamobile.org/application.zip ~/tmp/b2g-tutorial/application.zip) to check. Maybe copy them onto the SD card and confirm these too will play directly in the video app?

Kevin, getting this onto your radar, I'm running out of ideas!
Flags: needinfo?(kkuo)

Comment 9

4 years ago
yes, we can duplicate this case with Nexus 5.

Evelyn's team can help.

--
Keven
Flags: needinfo?(kkuo) → needinfo?(ehung)

Comment 10

4 years ago
They are mp4 files. Do we support this type on it?
Flags: needinfo?(ehung)
(In reply to Evelyn Hung [:evelyn] from comment #10)
> They are mp4 files. Do we support this type on it?

Yes, we support mp4.
(Assignee)

Comment 12

4 years ago
I think the reason is when GAIA_DEV_PIXELS_PER_PX := 2.0, media file for ftu didn't get built. We need to use one which can build media files correctly.

Using the highest one, 2.25 does work properly. Actually we should use 3.375 for nexus-5, but we don't support this ratio at this time.

Evelyn, would you mind review this patch? Thanks!
Flags: needinfo?(ehung)

Comment 13

4 years ago
Comment on attachment 8569623 [details] [review]
Correct gaia's pixel ratio for nexus-5-l.

If we are going to support nexus 5 in the following releases, we should open a bug for tracking full-hd support (mainly on adding more assets).
Flags: needinfo?(ehung)
Attachment #8569623 - Flags: feedback+
(Assignee)

Comment 14

4 years ago
Posted image nexus-5 ftu
According to [1] nexus 5 dppx should be 3.28125, but we don't support this dppx now. I try with 2.25, it works fine.

[1] https://dxr.mozilla.org/mozilla-central/source/widget/gonk/nsWindow.cpp#740-754
(Assignee)

Comment 15

4 years ago
Comment on attachment 8569623 [details] [review]
Correct gaia's pixel ratio for nexus-5-l.

Viral, could you review this patch? Thanks!
Attachment #8569623 - Flags: review?(vwang)

Updated

4 years ago
Attachment #8569623 - Flags: review?(vwang) → review+
(Assignee)

Comment 16

4 years ago
https://github.com/mozilla-b2g/device-hammerhead/commit/dc525eeb67301a44f514a7ac40a59ec592b34e31
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
(Assignee)

Updated

4 years ago
Blocks: 1137116
blocking-b2g: 2.2? → 2.2+
Assignee: nobody → kli
verify on below env (2.2 eng build for Nexus 5 L)

Build ID               20150303002527
Gaia Revision          3d188c414e30acc392253d5389a42352fcfbc183
Gaia Date              2015-03-03 00:53:42
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/c89aad487aa5
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.0
Firmware(Incremental)  eng.cltbld.20150303.040940
Firmware Date          Tue Mar  3 04:09:55 EST 2015
Bootloader             HHZ12d
Status: RESOLVED → VERIFIED
Target Milestone: --- → 2.2 S7 (6mar)
leave verifyme for master build
Posted video Verify_video.MP4
This problem is verified pass on latest build of N5 v3.0 and I also verified the two way in step 1 to enter FTU screen.
See attachment: Verify_video.MP4
Rate:0/10

N5 v3.0 build: (Pass)
Build ID               20150316160204
Gaia Revision          4868c56c0a3b7a1e51d55b24457e44a7709ea1ae
Gaia Date              2015-03-14 18:50:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/436686833af0
Gecko Version          39.0a1
Device Name            hammerhead
Firmware(Release)      5.0
Firmware(Incremental)  eng.cltbld.20150316.192850
Firmware Date          Mon Mar 16 19:29:05 EDT 2015
Bootloader             HHZ12d
QA Whiteboard: [MGSEI-Triage+]
Keywords: verifyme
You need to log in before you can comment on or make changes to this bug.